## grendel.storage.addressparser
Class RFC822MailboxList

    java.lang.Object
      |
      +--grendel.storage.addressparser.RFC822AddressList
            |
            +--grendel.storage.addressparser.RFC822MailboxList

public class RFC822MailboxList
extends RFC822AddressList

A subclass of RFC822AddressList. Its purpose is to create a more human readable list of all the addresses of this address list. To that end it flattens RFC822 groups in place into mailbox lists. It also attempts to save those occasions when name information is stored in a comment with an addr-spec instead of being put into the more complete form of (phrase route-addr).

See Also:
  `RFC822AddressList`

Constructor Summary
`RFC822MailboxList(java.lang.String str)`

Method Summary
`RFC822Mailbox[]` | `getMailboxArray()`
`int` | `mailboxCount()`

Methods inherited from class grendel.storage.addressparser.RFC822AddressList
`getAddressString, getErrorString, isError, size`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RFC822MailboxList

    public RFC822MailboxList(java.lang.String str)

Method Detail

### getMailboxArray

    public RFC822Mailbox[] getMailboxArray()

  Returns:
    An array of RFC822Mailbox objects. Methods on the object are used to get strings to display.
  See Also:
    `RFC822Mailbox`

### mailboxCount

    public int mailboxCount()